{ config, pkgs, ... }:
{
  imports = [
    ./nvim.nix
  ];
  home.username = "felixalb";
  home.homeDirectory = "/home/felixalb";
  home.stateVersion = "22.11";

  programs = {
	home-manager.enable = true;
        alacritty = {
          enable = true;
        };
        firefox.enable = true;
        rofi.enable = true;
        zsh = {
          enable = true;
          enableAutosuggestions = true;
          enableSyntaxHighlighting = true;
          prezto = {
            enable = true;
            prompt.theme = "paradox";
          };
          # initExtra = ''
          #   bindkey "''${key[Up]}" up-line-or-search
          #   bindkey "''${key[Down]}" down-line-or-search
          # '';
        };
	git = {
		enable = true;
		userName = "Felix Albrigtsen";
		userEmail = "felixalbrigtsen@gmail.com";
	};
  };

  services = {
    redshift = {
      enable = true;
      tray = true;

      duskTime = "19:30-20:30";
      dawnTime = "7:30-8:30";
    };
  };
}
