{ pkgs ? import <nixpkgs> {} }:
  pkgs.mkShell {
    nativeBuildInputs = with pkgs; [
      python3
      (with python3Packages; [
        beautifulsoup4
        numpy
        pillow
        pwntools
        pycryptodome
        requests
      ])

      nodejs
      php

      bat
      binwalk
      coreutils
      gnugrep
      gnutar
      ripgrep
      curl

      ghidra
      pwntools

      metasploit

      exiftool
      steghide
      # stegsolve

      dig
      nmap
      rustscan

      # davtest
      # cadaver
      httpie

      john
    ] ++ lib.optionals (pkgs.stdenv.isLinux) [
      sage

      gdb
      pwndbg
      ropgadget
      ropper
      hashcat
      sxiv
      wireshark
      tcpdump
    ];

}
